Bug 851695 - (mingw-libbonobo) Review Request: mingw-libbonobo - Bonobo Component System for the GNOME 2.x Desktop Platform
Review Request: mingw-libbonobo - Bonobo Component System for the GNOME 2.x D...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: mingw32-gcc mingw-popt mingw-orbit2
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 13:45 EDT by greg.hellings
Modified: 2013-10-19 10:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-08 01:08:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description greg.hellings 2012-08-24 13:45:45 EDT
Spec URL: http://dl.thehellings.com/mingw32/libbonobo/mingw-libbonobo.spec
SRPM URL: http://dl.thehellings.com/mingw32/libbonobo/mingw-libbonobo-2.32.1-1.fc17.src.rpm
Description: MinGW Windows port of the Bonobo Component System for the GNOME 2.x Desktop Platform.
Fedora Account System Username: greghellings

I have built this along with its dependent libraries over on OBS at https://build.opensuse.org/package/show?package=mingw-libbonobo&project=home%3Agreg_hellings%3Afedora-mingw
Comment 1 Bill Nottingham 2012-08-24 13:57:01 EDT
Out of curiosity, what would you be intending to package for windows that would still use deprecated libraries like libbonobo and gnome-vfs2?
Comment 2 greg.hellings 2012-08-24 14:01:46 EDT
It's an old app which used to be Gnome-centric but has moved to cross-platform distribution lately. It still requires GTK2 and other older libraries.

Specifically the application is 'Xiphos' (http://xiphos.org). Until the past few months there was no ability to move off of GTK2 as there was no GTK3 build of webkitgtk available on Windows. I just cobbled together our first GTK3 build for Windows yesterday and it is fraught with bugs (although it works fine built against GTK3 on Linux).
Comment 3 greg.hellings 2012-09-08 01:08:21 EDT
This and most of the other deprecated libraries are not actually necessary. It turns out I was building off an old dependency list and packaging more than was necessary. I've closed most of my requests for older, deprecated libraries including this one. The remaining package requests are the ones that are used in some way by the application. Sorry for the bug log spam.

I'll leave the spec and rpm files around for a while in case they are useful to anyone building legacy applications.

Note You need to log in before you can comment on or make changes to this bug.